
Auto Multiple Choice - Bug # 563: Notes étranges

Status: Closed Priority: Normal
Author: Joël Brogniart Category:
Created: 05/22/2018 Assignee:
Updated: 05/31/2018 Due date:
Description: Sous macOS 10.3.4 avec AMC git:a488cdbc MacPorts.

Avec le fichier source au format AMC-TXT attaché. Si je remplis un sujet (numérisation du sujet 3 attaché), 
que je remplis les cases comme indiqué dans les questions, j'obtiens pour chaque question les notes 
suivantes (image attachée).
Q1 : 1 (c'est ce que j'attendais, la bonne question est cochée, b=1 dans la notation par défaut)
Q2 : -1 (c'est ce que j'attendais, la mauvaise question est cochée, m=-1 dans la notation par défaut)
Q3 : 2 (c'est ce que j'attendais, la réponse avec une note spécifique attribuée)
Q4 : -2 (c'est ce que j'attendais, la réponse avec une note spécifique attribuée)
Q5 : -1 (j'attendais 0 puisque c'est la note attribuée à la réponse mais ça ne marche pas avec 0 alors que ça 
marche avec 2 et -2)
Q6 : -10 (c'est ce que j'attendais, 2 réponses pour une question simple, e=-10 dans la notation par défaut)
Q7 : 0 (j'attendais -10 pour question incohérente, 2 réponses pour une question simple)
Q8 : -10 (c'est ce que j'attendais, 2 réponses pour une question simple, e=-10 dans la notation par défaut)
Q9 : 0 (c'est ce que j'attendais, v=0 dans la notation par défaut)

Est-ce que mon utilisation de la notation par défaut est inccorrecte (DefaultScoringS: e=-10,v=0,b=1,m=-1) ?

History
05/22/2018 08:02 pm - Frédéric Bréal
Je suis sous ubuntu 16.04 avec 1.4.0~beta1+git-2018-05-15, j'ai les mêmes résultats que vous.
* Si je modifie la question 7 comme ci-dessous, j'obtiens -10

<pre>
*[ordered]{e=-10,v=0,b=1,m=-1} Quelle septième note voulez-vous (choisir 1 et 2) ?
+ 1
- -1
-{2} 2
</pre>

* Par contre, pour la question 5, j'obtiens comme vous.

<pre>
*[ordered]{e=-10,v=0,b=1,m=-1} Quelle cinquième note voulez-vous (choisir 0) ?
+ 1
- -1
-{0} 0
</pre>

Je testerai en faisant un sujet en latex pour vérifier.

05/22/2018 10:09 pm - Frédéric Bréal
- File Tous_etudiants.pdf added

- File bareme.tex added
Voici le résultat avec un fichier tex.
La question 5 ne donne pas le résultat attendu mais les autres sembles correctes.

05/28/2018 10:54 am - Joël Brogniart
- File source-OK.txt added

D'après ce que j'ai compris, on a à faire à deux problèmes. Ces problèmes ne sont pas spécifiques à macOS, ni au format AMC-TXT.

h3. Premier problème

Quand il y a un barême par défaut *ET* que l'utilisateur sélectionne une réponse ayant une note personnalisée *ET* que la note personnalisée n'est 
pas {0}, le barême par défaut est ignoré. Ce qui explique le résultat dans le cas Q7. Pour palier à ce problème, il faut impérativement spécifier le 
barême dans toute question qui aurait une de ses réponses avec une note personnalisée (soit toutes les questions dans  mon exemple).

h3. Deuxième problème

Quand une réponse a la note personnalisée {0} *ET* que celle ci est sélectionnée, le calcul de la note n'est pas correct. Une manière de contourner le 
problème est d'utiliser une variable pour stocker la note de la question et d'utiliser cette variable pour le calcul de la note obtenue. Par exemple :
<pre>
</pre>
Le fichier _source-OK.txt_ joint contient un nouveau fichier source permettant le calcul correct de la note. J'y ai ajouté des cas supplémentaires par 
rapport au fichier original pour vérifier d'autres combinaisons de choix de réponses.

05/30/2018 09:35 am - Alexis Bienvenüe
- Status changed from New to Feedback

- Target version set to 1.4.0

Merci pour ce rapport !
Normalement les problèmes évoqués sont réglés par les révisions git:c5796dd4, git:b2426dc9 et git:6ec1da0f.

05/30/2018 10:30 am - Joël Brogniart
Merci pour les changements. J'essaie ça dès que possible. Pour l'instant je suis coincé par un problème lors de la génération de la documentation la 
toute dernière version.

05/30/2018 12:25 pm - Joël Brogniart
Après avoir résolu mes problèmes de génération de doc, j'ai pu construire et utiliser AMC révision git:6ec1da0f. Les notes y sont calculées telles que je 
m'y attendais avec le fichier @source.txt@.

Un grand *merci*.

05/30/2018 01:21 pm - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Super. En fait j'ai utilisé les fichiers fournis pour créer un nouveau test de fonctionnement…

05/31/2018 12:37 pm - Joël Brogniart
- File source-last.txt added

04/27/2024 2/3



- File source-last.tex added

J'ai testé sous plusieurs versions de macOS ainsi qu'avec une version latex du sujet et tout fonctonne correctement. J'ajoute les fichiers AMC-TXT et 
latex utilisé pour les derniers tests.

Files
